Properties Methods Events Direct Link

# Class Ext.dd.ScrollManager

Package: | Ext.dd
Defined In: | ScrollManager.js
Class: | ScrollManager
Extends: | Object

Provides automatic scrolling of overflow regions in the page during drag operations.
Note: This class uses "Point Mode" and is untested in "Intersect Mode".
This class is a singleton and cannot be created directly.

## Public Properties

Property | Defined By
--- | ---
| animDuration : Number The animation duration in seconds - MUST BE less than Ext.dd.ScrollManager.frequency! (defaults to .4) | ScrollManager
| animate : Boolean True to animate the scroll (defaults to true) | ScrollManager
| frequency : Number The frequency of scrolls in milliseconds (defaults to 500) | ScrollManager
| hthresh : Number The number of pixels from the right or left edge of a container the pointer needs to be to trigger scrolling (default... The number of pixels from the right or left edge of a container the pointer needs to be to trigger scrolling (defaults to 25) | ScrollManager
| increment : Number The number of pixels to scroll in each scroll increment (defaults to 50) | ScrollManager
| vthresh : Number The number of pixels from the top or bottom edge of a container the pointer needs to be to trigger scrolling (default... The number of pixels from the top or bottom edge of a container the pointer needs to be to trigger scrolling (defaults to 25) | ScrollManager

## Public Methods

Method | Defined By
--- | ---

refreshCache() : void
Manually trigger a cache refresh.
Manually trigger a cache refresh.
Parameters:

- None.

Returns:

- `void`

ScrollManager

register( `Mixed/Array el` ) : void
Registers new overflow element(s) to auto scroll
Registers new overflow element(s) to auto scroll
Parameters:

- `el` : Mixed/Array
  The id of or the element to be scrolled or an array of either

Returns:

- `void`

ScrollManager

unregister( `Mixed/Array el` ) : void
Unregisters overflow element(s) so they are no longer scrolled
Unregisters overflow element(s) so they are no longer scrolled
Parameters:

- `el` : Mixed/Array
  The id of or the element to be removed or an array of either

Returns:

- `void`

ScrollManager

## Public Events

This class has no public events.